Last modified: 2013-11-30 16:38:17 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26227 - Notify user by email when password changed
Notify user by email when password changed
Status: NEW
Product: MediaWiki
Classification: Unclassified
User login and signup (Other open bugs)
unspecified
All All
: Normal enhancement with 2 votes (vote)
: ---
Assigned To: Tyler Romeo
:
Depends on:
Blocks: 1932
  Show dependency treegraph
 
Reported: 2010-12-04 02:22 UTC by p858snake
Modified: 2013-11-30 16:38 UTC (History)
13 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description p858snake 2010-12-04 02:22:07 UTC
It would be a nice idea to notify users by email (when they have a address setup) that their account password has been changed.
Comment 1 Chad H. 2010-12-05 04:33:42 UTC
*sigh*

I hate adding user prefs, but I'd want to disable this...
Comment 2 Platonides 2011-03-20 00:12:57 UTC
Why?
Comment 3 Chad H. 2011-03-20 05:16:41 UTC
Why should we add such a feature, or why would I want to disable it?
Comment 4 Daniel Friesen 2011-03-20 05:27:29 UTC
Currently we have an account swiping problem. If someone gains access to a session, they can escalate that to exclusive full account control by changing the e-mail and using password reset. This process has no notifications (which should be in place) to warn the user that their account has been swiped.
Comment 5 Bawolff (Brian Wolff) 2011-03-20 05:42:22 UTC
I'd argue requiring a password to change the email would be a much more effective means to prevent that attack though.
Comment 6 Alexandre Emsenhuber [IAlex] 2011-03-20 06:35:05 UTC
That's bug 20185.
Comment 7 Platonides 2011-03-20 15:34:02 UTC
(In reply to comment #3)
Why would you want to disable that?
Comment 8 Chad H. 2011-03-20 16:21:26 UTC
(In reply to comment #7)
> (In reply to comment #3)
> Why would you want to disable that?

Because I don't like getting extra e-mails? Especially when it's about an action I initiated myself.
Comment 9 Platonides 2011-03-20 20:40:30 UTC
> Because I don't like getting extra e-mails? Especially when it's about an
> action I initiated myself.

I think you /would/ want that in case it wasn't you who initiated it. How often do you change your password? I don't think most people have ever changed their password. Much less doing so often enough to be annoying.
Comment 10 Aashish Mittal 2012-02-12 15:20:12 UTC
Hello,

I would like to solve this bug. I believe solving this would require editing of execute() in Special:ChangePassword file to add a sendmail() function along with creation of some messages (in MessagesEN.php) which would form the body of the mail as parameters to sendmail(). This process would be somewhat similar to what has been implemented in PasswordReset. Kindly guide if this is the correct approach and I should go ahead with it.

Thanks,
Aashish
Comment 11 Platonides 2012-02-20 23:18:20 UTC
You would user UserMail, but otherwise yes, that seems the right process.
Comment 12 Tyler Romeo 2013-02-11 23:14:20 UTC
https://gerrit.wikimedia.org/r/48578
Comment 13 Andre Klapper 2013-07-24 10:50:21 UTC
Patch in Gerrit needs review...
Comment 14 Tyler Romeo 2013-07-24 20:26:33 UTC
Maybe I should remove the tag, because I need to refactor that patch before it can be merged anyway.
Comment 15 Gerrit Notification Bot 2013-08-22 18:18:06 UTC
Change 48578 abandoned by Parent5446:
Notify user by email when password changed

https://gerrit.wikimedia.org/r/48578

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links